<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>Constant Field Values</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="summary of constants">
<meta name="generator" content="javadoc/ConstantsSummaryWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="constants-summary-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#constant-values">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<section class="packages">
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.vtokarev">org.vtokarev.*</a></li>
</ul>
</section>
</div>
<section class="constants-summary" id="org.vtokarev.dao.mysql">
<h2 title="org.vtokarev">org.vtokarev.*</h2>
<ul class="block-list">
<li>
<div class="caption"><span>org.vtokarev.dao.mysql.<a href="org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Constant Field</div>
<div class="table-header col-last">Value</div>
<div class="col-first even-row-color"><code id="org.vtokarev.dao.mysql.RoomDaoImpl.DELETE_BY_ID">public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="org/vtokarev/dao/mysql/RoomDaoImpl.html#DELETE_BY_ID">DELETE_BY_ID</a></code></div>
<div class="col-last even-row-color"><code>"DELETE FROM rooms WHERE id = ?"</code></div>
<div class="col-first odd-row-color"><code id="org.vtokarev.dao.mysql.RoomDaoImpl.GET_ALL_ROOMS_EDIT_DTO">public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color"><code><a href="org/vtokarev/dao/mysql/RoomDaoImpl.html#GET_ALL_ROOMS_EDIT_DTO">GET_ALL_ROOMS_EDIT_DTO</a></code></div>
<div class="col-last odd-row-color"><code>"SELECT r.*, rc.name as roomClassName\nFROM rooms r\n\tINNER JOIN room_classes rc\n\tON rc.id = r.room_class_id\nORDER BY r.number"</code></div>
<div class="col-first even-row-color"><code id="org.vtokarev.dao.mysql.RoomDaoImpl.INSERT">public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="org/vtokarev/dao/mysql/RoomDaoImpl.html#INSERT">INSERT</a></code></div>
<div class="col-last even-row-color"><code>"INSERT INTO rooms\n(name, number, capacity, room_class_id, description, price, available)\nVALUES\n(?, ?, ?, ?, ?, ?, ?)"</code></div>
<div class="col-first odd-row-color"><code id="org.vtokarev.dao.mysql.RoomDaoImpl.UPDATE_BY_ID">public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color"><code><a href="org/vtokarev/dao/mysql/RoomDaoImpl.html#UPDATE_BY_ID">UPDATE_BY_ID</a></code></div>
<div class="col-last odd-row-color"><code>"UPDATE rooms SET\nname = ?, number = ?, capacity = ?, room_class_id = ?, description = ?, price = ?, available = ?\nWHERE id = ?"</code></div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
